<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("aggre" . "gatio" . "n" => base64_decode("YWdn" . "cmVn" . "YXRp" . "b24="), "_d9e86995f0bc6219b3823d" . "8422326153" => base64_decode("U0VMRUNUIHVzZXJfaWQsIENPVU5UKG9iamVjdF9pZCkgb2JqZWN0cywgQ09VTlQoRElTVElOQ1Qgb2JqZWN0X2lkKSB1bmlxdWVfb2JqZWN0cyBGUk" . "9NIHN0YXRfdXBkYXRlcyBXSEVSRSBhZ2dyZWdhdGlvbiA9IGludDphZ2dyZWdhdGlvbiBBTkQg"), "_c5aeb46d49" . "87229cd0033" . "323a7f86836" => base64_decode("b2JqZWN" . "0cw=="), "_79a5c6862da55a81b" . "bba54a4e91b2e61" => base64_decode("IEdST1VQIEJZIHVzZXJfaWQgT1JERVIgQlkgb" . "2JqZWN0cyBERVNDLCB1bmlxdWVfb2JqZWN0cy" . "BERVNDLCB1c2VyX2lkIEFTQw=="), "_07afa3e4c6840a90ca78db3521df" . "be2b" => base64_decode("c3RkQ2" . "xhc3M="), "_ead9f7746" . "c5d5e2801c" . "e5704837fb" . "63b" => base64_decode("U0VMRUNUIENPVU5UKDEpIEZST00gKFNFTE" . "VDVCB1c2VyX2lkIEZST00gc3RhdF91cGRh" . "dGVzIFdIRVJFIGFnZ3JlZ2F0aW9uID0gaW" . "50OmFnZ3JlZ2F0aW9uIEFORCA="), "us" . "er" . "_i" . "d" => base64_decode("dXNlcl9pZ" . "A=="), "_0f939e9a0c1b17527bce221f42ee82" . "7e" => base64_decode("IEdST1VQIEJZI" . "HVzZXJfaWQpIH" . "Q="));
use Claromentis\Core\DAL;
abstract class StatReportTopUpdaterList extends StatReportTopList
{
    function __construct($aggregation, $name)
    {
        parent::__construct($aggregation, $name);
        $this->most_popular_amount = 5;
        $this->rows_per_page = 10;
    }
    protected function CollectData($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4)
    {
        global $db;
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_d9e86995f0bc62" . "19b3823d8422326" . "153"] . $filter->AsPart() . $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_79a5c6862d" . "a55a81bbba5" . "4a4e91b2e61"]);
        $query->Bind($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["aggregatio" . "n"], $this->aggregation);
        $query->BindPart($filter);
        $query->setLimit($_f2b0589e330a88c87f5cc51408bda822, $_692408637c0ee5b3fa41190b465f74a4);
        $result = $db->query($query);
        $data = array();
        while ($row = $result->fetchArray()) {
            $data[] = $row;
        }
        return $data;
    }
    protected function ExtendDataWithObjects($data)
    {
        return $data;
    }
    protected function PrepareOutputData($data, $start_row = 0)
    {
        $_189840d11056515e52402d1412a0b6e4 = array();
        foreach ($data as $info) {
            $_189840d11056515e52402d1412a0b6e4[] = array(++$start_row, $info[$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["us" . "er" . "_i" . "d"]], $info[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_c5aeb46d4987229cd0033323a7f868" . "36"]]);
        }
        return $_189840d11056515e52402d1412a0b6e4;
    }
    protected function GetNumRowsQuery()
    {
        $filter = $this->GetFilter();
        $query = new DAL\Query($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_ead9f7746c5" . "d5e2801ce570" . "4837fb63b"] . $filter->AsPart() . $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_0f939e9a0c1b17527bce221f42ee8" . "27e"], $this->aggregation);
        $query->BindPart($filter);
        return $query;
    }
    protected function GetObjectClassName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_07afa3e4c6840" . "a90ca78db3521d" . "fbe2b"];
    }
}